#ifndef _GAMESTATE_H
#define _GAMESTATE_H

class GameState {
	protected:
		bool		IsLoaded; // set to "true" by Load(), tells Unload() if it needs to do work

	public:
		virtual void Init(void *initData) = 0;
		virtual void Load(void) = 0;
		virtual void Unload(void) = 0;
		virtual void Cycle(float dt, void *cycleData) = 0;
		virtual void Draw() = 0;
};


#endif // _GAMESTATE_H